"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-var-requires */
exports.default = {
    command: 'portal',
    describe: 'open a portal to your app as a REPL',
    aliases: ['p'],
    builder: {},
    handler(argv) {
        return __awaiter(this, void 0, void 0, function* () {
            const { usePortal } = require('../../');
            const { startPortal } = require('@hyperstackjs/hyperportal');
            const { root } = argv;
            return usePortal({
                root,
            }, ({ context }) => __awaiter(this, void 0, void 0, function* () {
                yield startPortal(context);
            }));
        });
    },
};
