"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-console */
const lodash_1 = __importDefault(require("lodash"));
// const classMetaKey = Symbol('Class Metadata Key')
/* eslint-disable @typescript-eslint/no-var-requires */
exports.default = {
    command: 'routes',
    describe: 'display app routes',
    aliases: ['r'],
    builder: {
        snippets: {
            default: 'shell_curl',
            string: true,
            describe: 'print request snippets',
        },
        spec: {
            boolean: true,
            describe: 'export to OpenAPI',
        },
    },
    handler(argv) {
        return __awaiter(this, void 0, void 0, function* () {
            const { root, snippets, spec } = argv;
            const snips = lodash_1.default.castArray(snippets);
            const { printRoutesV2, exportRoutes } = require('../../utils');
            const { useControllers } = require('../../');
            return useControllers({
                root,
            }, ({ context }) => {
                const controllers = context.controllers();
                printRoutesV2(controllers, snips);
                if (spec) {
                    const fname = 'routes.json';
                    exportRoutes(controllers, fname);
                    console.log(`export: wrote ${fname}`);
                }
            });
        });
    },
};
