"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
/* eslint-disable @typescript-eslint/no-var-requires */
const yargs_1 = __importDefault(require("yargs"));
const cli = (root, argv) => __awaiter(void 0, void 0, void 0, function* () {
    return yield (0, yargs_1.default)(argv.slice(2))
        .config({ root })
        .command(require('./cmds/migrate').default)
        .command(require('./cmds/generate').default)
        .command(require('./cmds/seed').default)
        .command(require('./cmds/routes').default)
        .command(require('./cmds/start').default)
        .command(require('./cmds/portal').default)
        .command(require('./cmds/tasks').default)
        .demandCommand()
        .help().argv;
});
exports.cli = cli;
