import type { Config, ContextStore } from '@hyperstackjs/typings';
import type { Context } from './types';
declare class InMemContext implements Context {
    private __store;
    private __config;
    clear: () => void;
    baseUrl: () => string;
    logger: () => any;
    models: () => any;
    mailers: () => any;
    workers: () => any;
    controllers: () => any;
    environment: () => string;
    helpers: {
        printRoutes: (controllers: any, snippets?: string[]) => void;
        printJobCounts: (workers: any) => Promise<void>;
    };
    update: (updater: string, d: Partial<ContextStore>) => void;
    setConfig: (c: Config) => void;
    store: () => ContextStore;
    config: () => Config;
    initializerProps: <T>(key: string) => T;
}
declare const context: InMemContext;
export { context };
export declare const isTest: () => boolean;
export declare const isProduction: () => boolean;
export declare const isDevelopment: () => boolean;
export declare const envMode: () => "test" | "production" | "development";
export declare const getEnvironment: () => string;
export declare const getAppEnvironment: () => string;
export declare const resolveAppRoot: (app?: string) => string;
export declare const tieApp: (context: Context, app?: string) => void;
//# sourceMappingURL=context.d.ts.map