import type P from 'pino';
import type { AppLoggerOptions, Logger } from '@hyperstackjs/typings';
import createPinoMiddleware from 'express-pino-logger';
import type { Request } from '@hyperstackjs/hypercontroller';
import type { Context } from './types';
/**
 * Types from Pino
 * @see https://github.com/pinojs/pino/blob/master/pino.d.ts
 */
export type BaseLogger = P.BaseLogger;
export type DestinationStream = P.DestinationStream;
export type LevelWithSilent = P.LevelWithSilent;
export type LoggerOptions = P.LoggerOptions;
export declare const redactionsList: string[];
export declare const logLevel: () => string;
export declare const defaultLoggerOptions: Partial<AppLoggerOptions>;
export declare const createLogger: (loggerOpts?: AppLoggerOptions) => Logger;
export declare const customRequestProps: (req: Request, _res: Response) => any;
export declare const createMiddleware: (logger: Logger, middlewareConfig?: any) => createPinoMiddleware.HttpLogger;
export declare const tieLogger: (context: Context) => Logger;
//# sourceMappingURL=logger.d.ts.map